<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class RelTicketMedioService {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function find($conditions, $idrelatorio) {
        
        $params = array(
         	":P_CDFILIAL"       => isset($conditions['CDFILIAL']) ? $conditions['CDFILIAL'] : null,
         	":P_CDLOJA"         => isset($conditions['CDLOJA']) ? $conditions['CDLOJA'] : null,
         	":P_CDCAIXA"        => isset($conditions['CDCAIXA']) ? $conditions['CDCAIXA'] : null,
            ":P_DATAINI"        => isset($conditions['DTINI']) ? $conditions['DTINI'] : null,
            ":P_DATAFIN"        => isset($conditions['DTFIN']) ? $conditions['DTFIN'] : null,
            ":P_TCDFILIAL"      => isset($conditions['TCDFILIAL']) ? $conditions['TCDFILIAL'] : null,
            ":P_TCDLOJA"        => isset($conditions['TCDLOJA']) ? $conditions['TCDLOJA'] : null,
         	":P_TCDCAIXA"       => isset($conditions['TCDCAIXA']) ? $conditions['TCDCAIXA'] : null
 		);
 		
 		switch ($idrelatorio){
 		    case 0:
 		        return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_REL_TICKET_MEDIO_FILIAL, $params);
            break;
            
            case 1:
                return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_REL_TICKET_MEDIO_CAIXA, $params);
            break;
 		   
 		}
    }
}